Loading...
Searching...
No Matches
numeric

## Functions

template<typename TIterator, typename T>
ETL_CONSTEXPR14 void | etl::iota (TIterator first, TIterator last, T value)

## Detailed Description

## Function Documentation

## iota()

template<typename TIterator, typename T>

ETL_CONSTEXPR14 void etl::iota | ( | TIterator | first,
|  | TIterator | last,
|  | T | value )

iota Reverse engineered version of std::iota for non C++11 compilers. Fills a range of elements with sequentially increasing values starting with value.

Parameters

  first | An iterator to the first position to fill.
  last | An iterator to the last + 1 position.